Bug 130279 - Windows key non-functional in X/IceWM
Windows key non-functional in X/IceWM
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 15:04 EDT by George Toft
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 16:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Toft 2004-08-18 15:04:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Fedora Core 3 test 1
The Windows Key and the Menu key are ignored in xorg-x11.  The 
Windows Manager IceWM makes extensive use of these keys.  Looking at 
this URL: <http://lists.freebsd.org/pipermail/freebsd-questions/2004-
August/054446.html>, this appears to be an X problem, not IceWM (as 
IceWM never gets the keystroke).  

Running xev does capture the keycode of these keys, clouding the 
issue.

Keyboard is use PC-104, and is set in xorg.conf.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install IceWM
2. switchdesk icewm
3. logout/login using default window manager
4. [windows key]-2 should take you to workspace 2
    

Actual Results:  [windows key]-2 feeds "2" to the client window with 
focus

Expected Results:  Should go to workspace 2

Additional info:
Comment 1 Mike A. Harris 2004-08-19 01:47:20 EDT
Please file a bug report for this in X.Org bugzilla at:

    http://bugs.freedesktop.org in the "xorg" component

Paste the upstream bug URL here afterward, and we will track
the issue in X.Org bugzilla.

Thanks.
Comment 2 George Toft 2004-08-19 09:50:24 EDT
http://freedesktop.org/bugzilla/show_bug.cgi?id=1136

Thank you!
Comment 3 Mike A. Harris 2004-08-27 16:56:52 EDT
Setting status to "UPSTREAM" for tracking.  If anyone notices it
resolved upstream before we do, please reopen this one for
local review.

Note You need to log in before you can comment on or make changes to this bug.